| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__UpdateSubscriberFeatureProfileRequest Struct Reference
Subscriber

Update Subscriber Feature Profile request. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__ServiceId | ServiceId
| The Service ID of the subscriber to be updated. More...
char * | OperatorId
| Operator Id. More...
xsd__boolean * | PreserveLocPres
| If set and the new feature profile has some of the same service features as the old feature profile, the subscriber's local settings will be maintained, otherwise, if false, the subscriber's settings for the features inherited from the feature profile, will be set to the values from the feature profile. More...
struct unsp__FeatureProfileId * | NewFeatureProfileId
| The new Feature Profile to be assigned to the subscriber. More...

## Detailed Description

Update Subscriber Feature Profile request.

Used by unsp__UpdateSubscriberFeatureProfile2()

## Member Data Documentation

## ◆ NewFeatureProfileId

struct unsp__FeatureProfileId* unsp__UpdateSubscriberFeatureProfileRequest::NewFeatureProfileId

The new Feature Profile to be assigned to the subscriber.

required: false

## ◆ OperatorId

char* unsp__UpdateSubscriberFeatureProfileRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ PreserveLocPres

xsd__boolean* unsp__UpdateSubscriberFeatureProfileRequest::PreserveLocPres

If set and the new feature profile has some of the same service features as the old feature profile, the subscriber's local settings will be maintained, otherwise, if false, the subscriber's settings for the features inherited from the feature profile, will be set to the values from the feature profile.

required: false
default value[range]: false

## ◆ ServiceId

unsp__ServiceId unsp__UpdateSubscriberFeatureProfileRequest::ServiceId

The Service ID of the subscriber to be updated.

required: true

See also
  unsp__ServiceId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h